<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:context=".page.test.PrintActivity">

    <data>

        <variable
            name="viewModel"
            type="com.lukouguoji.aerologic.page.test.PrintViewModel" />
    </data>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <Button
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{()-> viewModel.search()}"
                android:text="蓝牙连接" />

            <Button
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{()-> viewModel.printTest()}"
                android:text="打印测试页" />

            <Button
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{()-> viewModel.printCar()}"
                android:text="打印平板车" />

            <Button
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{()-> viewModel.printBox()}"
                android:text="打印Box" />

            <Button
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{()-> viewModel.printShouYun()}"
                android:text="打印挂签" />

            <Button
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{()-> viewModel.mockWebSocket()}"
                android:text="模拟推送" />

            <Button
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{()-> viewModel.showCommonDialog()}"
                android:text="确认弹窗" />

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

</layout>